Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTextCodec.ConversionFlag

    java.lang.Object
      java.lang.Enum<QTextCodec.ConversionFlag>
          com.trolltech.qt.core.QTextCodec.ConversionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCodec.ConversionFlag>

Enclosing class:
  QTextCodec

    public static enum QTextCodec.ConversionFlag

extends java.lang.Enum<QTextCodec.ConversionFlag>
implements QtEnumerator

Press link for info on QTextCodec.ConversionFlag

Enum Constant Summary
`ConvertInvalidToNull` If this flag is set, invalid input results in an empty string.
`DefaultConversion` No flag is set.
`IgnoreHeader` Ignore any Unicode byte-order mark and don't generate any.

Method Summary
`static QTextCodec.ConversionFlags` | `createQFlags(QTextCodec.ConversionFlag... values)`
`static QTextCodec.ConversionFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCodec.ConversionFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCodec.ConversionFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultConversion

    public static final QTextCodec.ConversionFlag DefaultConversion

  No flag is set.

### ConvertInvalidToNull

    public static final QTextCodec.ConversionFlag ConvertInvalidToNull

  If this flag is set, invalid input results in an empty string.

### IgnoreHeader

    public static final QTextCodec.ConversionFlag IgnoreHeader

  Ignore any Unicode byte-order mark and don't generate any.

Method Detail

### values

    public static final QTextCodec.ConversionFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCodec.ConversionFlag c : QTextCodec.ConversionFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCodec.ConversionFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextCodec.ConversionFlags createQFlags(QTextCodec.ConversionFlag... values)

### resolve

    public static QTextCodec.ConversionFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD